Bug 80343 - NCDevWireless.py:32:load: NameError: global name 'ConfDevice' is not defined
NCDevWireless.py:32:load: NameError: global name 'ConfDevice' is not defined
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
: 80284 80367 81081 81134 (view as bug list)
Depends On:
Blocks: 79578 81720
  Show dependency treegraph
 
Reported: 2002-12-24 14:30 EST by Roberto Virga
Modified: 2007-04-18 12:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 17:52:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
crash dump (1.17 KB, text/plain)
2002-12-24 14:31 EST, Roberto Virga
no flags Details
crash dump with the new packages (2.11 KB, text/plain)
2003-01-14 08:09 EST, Roberto Virga
no flags Details
crash dump of crash after saving crash dump #89348 (4.59 KB, text/plain)
2003-01-14 08:11 EST, Roberto Virga
no flags Details

  None (edit)
Description Roberto Virga 2002-12-24 14:30:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
neat (both in GUI and in text mode) crashes whenever the my Lucent Orinoco
silver card is inserted. I'm including the crash dump as an attachment.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert Orinoco Silver card
2. Launch neat
3.
    

Actual Results:  The application crashes and gives me the option of either
debugging, saving the crash dump to file, or exit

Expected Results:  Configure the wireless card

Additional info:

System info:
Sony Vaio PCG-GR100K (1GHz Pentium III, 384MB ram)
Lucent Silver 802.11b wireless card
Fresh installation (not an upgrade) of Phoebe
Comment 1 Roberto Virga 2002-12-24 14:31:30 EST
Created attachment 88896 [details]
crash dump
Comment 2 Bill Nottingham 2002-12-24 16:45:56 EST
*** Bug 80284 has been marked as a duplicate of this bug. ***
Comment 3 Harald Hoyer 2003-01-08 11:41:00 EST
will be fixed in versions >= 1.1.87
Comment 4 Harald Hoyer 2003-01-08 12:12:11 EST
*** Bug 81081 has been marked as a duplicate of this bug. ***
Comment 5 Harald Hoyer 2003-01-08 12:15:01 EST
*** Bug 81134 has been marked as a duplicate of this bug. ***
Comment 6 Harald Hoyer 2003-01-09 05:36:22 EST
*** Bug 80367 has been marked as a duplicate of this bug. ***
Comment 7 Harald Hoyer 2003-01-13 10:20:17 EST
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/
Comment 8 Ken Schar 2003-01-13 14:00:32 EST
I have installed the 2 suggested files 

new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/

And still get an exception error.  The info from the exception is 
Component: redhat-config-network
Version: 1.1.87
Summary: TB
/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareFactory.py:41:getHardwareClass:NameError:
global name 's' is not defined
Traceback (most recent call last):
  File "/usr/sbin/neat", line 155, in ?
    window = mainDialog()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 155, in __init__
    self.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 225, in load
    self.loadHardware()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 236, in loadHardware
    hardwarelist = getHardwareList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 389, in getHardwareList
    HWList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 202, in load
    i = self.addHardware(type)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 134, in addHardware
    hwc = hwf.getHardwareClass(type)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareFactory.py", line
41, in getHardwareClass
    print "Error: %s not in HardwareFactory!" %s
NameError: global name 's' is not defined
Comment 9 Ken Schar 2003-01-13 14:04:28 EST
When running redhat-config-network from cmdline as root I also receive the
following info.

[root@localhost root]# redhat-config-network
Warning : Device eth1 has been compiled with version 14
of Wireless Extension, while we are using version 12.
Some things may be broken...
 
Copying ifcfg-eth1 to devices and putting it into the default profile.
Warning : Device eth1 has been compiled with version 14
of Wireless Extension, while we are using version 12.
Some things may be broken...
Comment 10 Roberto Virga 2003-01-14 08:09:25 EST
Created attachment 89348 [details]
crash dump with the new packages
Comment 11 Roberto Virga 2003-01-14 08:11:50 EST
Created attachment 89349 [details]
crash dump of crash after saving crash dump #89348
Comment 12 Roberto Virga 2003-01-14 08:19:02 EST
I too get a crash similar to the one reported by Ken Schar . Moreover,
immediately after saving the crash dump to a file, I get an additional crash.
I'm attaching crash dump files for both.
Comment 13 Jay Turner 2003-01-21 10:38:53 EST
Bouncing this back for developer comments.
Comment 14 Harald Hoyer 2003-01-21 10:42:53 EST
try 1.1.90
Comment 15 Robert de Rooy 2003-01-21 21:12:24 EST
The bug I opened (80367) was marked resolved with this one.
I just installed Phoebe2 (8.0.93), and redhat-config-network has numerous 
problems, and the original issue for which I opened the bugreport is *NOT* 
resolved.

I installed Phoebe2 on my ThinkPad T30. This notebook has two integrated 
network adapters, an e100 and orinoco_pci (see bug 80367 for details).
During install Anaconda detected the e100 and ignored the orinoco_pci.
After install the e100 was correctly configured, and I started redhat-config-
network to configure the orinoco_pci
I selected to 'Add' a wireless interface as type other (so that it gives me 
the long list of adapters). Here the orinoco_pci is still *NOT* listed.
I selected the pcmcia orinoco instead (again see bug 80367), and encountered a 
new problem on the page to set the ESSID. Both the options for autodetecting 
the ESSID and specifying it where selected and there was no way to enter the 
ESSID at this point.
I selected to save the settings I had made, only to discover that it had saved 
it as eth0, erasing in effect the e100 config.
Closing and restarting redhat-config-network, and I was able to use it to set 
the ESSID this time using the edit function.

At least redhat-config-network did not crash anymore.
Comment 16 Roberto Virga 2003-01-21 21:50:26 EST
neat 1.1.90 does not crash anymore, so the bug I reported is resolved.
Thanks, and keep up the good work!


PS. One piece of information that might be useful:
I tested 1.1.90 as part of RedHat 8.0.93 - the second beta you just released.
With the kernel that you ship with this beta (2.4.20-2.21) my Lucent Silver card
didn't work at all. Upgrading to kernel 2.4.20-2.24 from rawhide solved the
problem, however.
Comment 17 Don Hardaway 2003-01-22 13:54:31 EST
I too installed beta 2 of phoebe and afterward my wireless pcmcia card would not
work on my dell c800 laptop.  Once I downloaded and installed kernel 2.4.20-2.24
from rawhide, it worked fine.
Comment 18 Robert de Rooy 2003-02-18 23:18:00 EST
I just installed the latest Phoebe beta (8.9.94) and everything works a lot better.
However, Orinoco PCI is still not an option when adding an adapter in neat.
can we PLEASE have the following lines added to /boot/module-info (or whatever
process is used to generate that file):

orinoco_pci
        eth
        "Lucent Orinoco and Prism II-based PCI wireless"
Comment 19 Bill Nottingham 2003-07-28 17:52:59 EDT
Closing some bugs that have been in MODIFIED for a while. Please reopen if the
problem persists.
Comment 20 Harald Hoyer 2003-08-11 10:08:13 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html

Note You need to log in before you can comment on or make changes to this bug.